summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/swap1
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/swap1')
-rwxr-xr-xetc/rc.d/swap120
1 files changed, 17 insertions, 3 deletions
diff --git a/etc/rc.d/swap1 b/etc/rc.d/swap1
index 0582498..4977e86 100755
--- a/etc/rc.d/swap1
+++ b/etc/rc.d/swap1
@@ -1,23 +1,37 @@
#!/bin/sh
#
-# $NetBSD: swap1,v 1.4 2000/05/13 08:45:09 lukem Exp $
+# $NetBSD: swap1,v 1.7 2002/03/21 23:08:36 lukem Exp $
#
# PROVIDE: localswap
# REQUIRE: disks
+# KEYWORD: shutdown
. /etc/rc.subr
name="swap1"
+start_cmd="swap1_start"
+stop_cmd="swap1_stop"
# Add all block-type swap devices; these might be necessary
# during disk checks.
#
-start_cmd='swapctl -A -t blk'
+swap1_start()
+{
+ if ! checkyesno no_swap; then
+ swapctl -A -t blk
+ fi
+}
# Remove all block-type swap devices
#
-stop_cmd="swapctl -U -t blk"
+swap1_stop()
+{
+ if checkyesno swapoff || [ -n "$rc_force" ]; then
+ echo "Removing block-type swap devices"
+ swapctl -U -t blk
+ fi
+}
load_rc_config swap
run_rc_command "$1"
OpenPOWER on IntegriCloud